> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Send presence subscription

## Overview

Allows the client to send a presence subscription from its account to an XMPP recipient. If the account to which the client is logged in has an approved Legal ID associated with it, this ID will be included in the request, to allow the recipient to know who has made the request.

## HTTP request

`POST /Agent/Xmpp/SendPresenceSubscription`

## Authentication

Requires a valid JWT bearer token.

## Request (JSON)

```json theme={null}
{
	"to":Required(Str(PTo)),
	"customXml":Optional(Str(PCustomXml)),
	"language":Optional(Str(PLanguage)),
	"id":Optional(Str(PId))
}
```

## Input parameters

| Parameter  | Description                                                                 |
| ---------- | --------------------------------------------------------------------------- |
| PTo        | A Bare or Full JID (XMPP network address).                                  |
| PCustomXml | Optional Custom XML that can be added to the presence subscription request. |
| PLanguage  | Optional ISO 639-1 language code.                                           |
| PId        | Optional Message ID.                                                        |

## Response (JSON)

```json theme={null}
{
	"sent":Required(Bool(PSent)),
	"id":Required(Str(PId)),
	"RosterItem":
	{
		"bareJid": Required(Str(PBareJid)),
		"pendingSubscription": Required(Bool(PPendingSubscription)),
		"status": Required(Str(PStatus)),
		"name": Required(Str(PName)),
		"Groups": Optional(Str(PGroups)[])
	}
}
```

## Response parameters

| Parameter            | Description                                                                                                           |
| -------------------- | --------------------------------------------------------------------------------------------------------------------- |
| PSent                | If the XMPP stanza was sent or not.                                                                                   |
| PId                  | ID of stanza sent. Can be used to match responses. If no ID was provided in the call, a message ID will be generated. |
| PBareJid             | Bare JID of roster item.                                                                                              |
| PPendingSubscription | If the account has a pending subscription request to the remote entity.                                               |
| PStatus              | Status of roster item.                                                                                                |
| PName                | Name given to the roster item.                                                                                        |
| PGroups              | Names of groups to which the roster item is assigned.                                                                 |

## Notes

This endpoint uses the request schema notation described in [Pattern matching](/neuron-api/pattern-matching).
